Bug 763655 - (GLUSTER-1923) Unknown error 526 when one of the subvolumes for distribute is down
Unknown error 526 when one of the subvolumes for distribute is down
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: nfs (Show other bugs)
3.1.0
All Linux
low Severity low
: ---
: ---
Assigned To: Shehjar Tikoo
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-11 20:02 EDT by Harshavardhana
Modified: 2015-12-01 11:45 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: RTP
Mount Type: nfs
Documentation: DNR
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Harshavardhana 2010-10-11 20:02:36 EDT
ncryption/rot-13/src': Unknown error 526
rm: cannot remove directory `usr/src/debug/glusterfs-nfs_beta_rc15_f23d760b/xlators/performance/io-cache/src': Unknown error 526
rm: cannot remove directory `usr/src/debug/glusterfs-nfs_beta_rc15_f23d760b/xlators/performance/io-threads/src': Unknown error 526
rm: cannot remove directory `usr/src/debug/glusterfs-nfs_beta_rc15_f23d760b/xlators/performance/symlink-cache/src': Unknown error 526
rm: cannot remove directory `usr/src/debug/glusterfs-nfs_beta_rc15_f23d760b/xlators/performance/stat-prefetch/src': Unknown error 526
rm: cannot remove directory `usr/src/debug/glusterfs-nfs_beta_rc15_f23d760b/xlators/performance/write-behind/src': Unknown error 526
rm: cannot remove directory `usr/src/debug/glusterfs-nfs_beta_rc15_f23d760b/xlators/performance/quick-read/src': Unknown error 526
rm: cannot remove directory `usr/src/debug/glusterfs-nfs_beta_rc15_f23d760b/xlators/performance/read-ahead/src': Unknown error 526
rm: cannot remove directory `usr/src/debug/glusterfs-nfs_beta_rc15_f23d760b/xlators/protocol/client/src': Unknown error 526
rm: cannot remove directory `usr/src/debug/glusterfs-nfs_beta_rc15_f23d760b/xlators/protocol/server/src': Unknown error 526
rm: cannot remove directory `usr/src/debug/glusterfs-nfs_beta_rc15_f23d760b/xlators/debug/error-gen/src': Unknown error 526
rm: cannot remove directory `usr/src/debug/glusterfs-nfs_beta_rc15_f23d760b/xlators/debug/trace/src': Unknown error 526
rm: cannot remove directory `usr/src/debug/glusterfs-nfs_beta_rc15_f23d760b/xlators/debug/io-stats/src': Unknown error 526
rm: cannot remove directory `usr/src/debug/glusterfs-nfs_beta_rc15_f23d760b/xlators/mount/fuse/src': Unknown error 526

Can this be fixed to a meaningful errno? 

ECONNRESET is the errno which is recieved, i have sent this information to shehjar earlier for his nfs-beta branch.
Comment 1 Shehjar Tikoo 2010-10-19 00:06:33 EDT
Sure. Looking into it.
Comment 2 Anand Avati 2010-10-26 23:11:54 EDT
PATCH: http://patches.gluster.com/patch/5577 in master (nfs3: Translate ENOTCONN into IO error for client)
Comment 3 Lakshmipathi G 2010-11-20 01:38:30 EST
verified with 3.1.1qa9

Note You need to log in before you can comment on or make changes to this bug.